Need a 3.1.4 ROM

A forum for Classic Amiga specific support issues.
Post Reply
C64er
Posts: 9
Joined: Sat Oct 13, 2018 9:35 pm

Need a 3.1.4 ROM

Post by C64er »

Hello all,
Got my OS 3.1.4 now I need a ROM. I don't have a burner to support 40 pin EPROMS. Anyone willing to help?

Thanks, Dan

Post Reply